console.log('functions.js');

/////// Fonctions générales //////////////

//Saisie de nombre entier ou a virgule obligatoire //
function saisieNombre( message, valeurParDefaut) {
    var saisie;
    do {
        saisie = window.prompt (message, valeurParDefaut);

        if(saisie != null ) // Sinon nombre est transformé en NaN par parseFloat, et on reste coincé dans la boucle
            saisie = parseFloat(saisie);
    }
    while ( (isNaN(saisie)) && (saisie != null) );

    return saisie;
}

// Renvoie un nombre aléatoire
function nombreAleatoire(min, max) {
    return Math.floor(Math.random() * (max - min + 1)) + min;
}


////////////////// Projet Carnet d'adresse ///////
function onSubmit(event) {
  // On empêche le formulaire de relancer la page
  event.preventDefault();


  // Récupérer le choix de l'utilisateur
  var radioValue = $("input[name='lesBoutonsRadio']:checked").val();
  // console.log(radioValue);

  var lurlEnfonctionDuChoixDeLutilisateur;

  // En fonction du choix de l'utilisateur
  switch (radioValue) {
    case "html":
      // console.log("html");
      lurlEnfonctionDuChoixDeLutilisateur = "php/1-get-html-article.php";

      break;

    case "json":
      // console.log("json");
      lurlEnfonctionDuChoixDeLutilisateur = "php/2-get-json-data.php";

      break;

    case "flims":
      // console.log("flims");
      lurlEnfonctionDuChoixDeLutilisateur = "php/3-get-html-movies.php";

      break;


    default:
      alert('La vie ca marche pas comme ca wesh');
      break;

  }

  // Récupérer le contenu
  $.ajax(
    {
      // Le fichier qu'on va chercher, plus spécifiquement, le contenu affiché par le fichier
      url      : lurlEnfonctionDuChoixDeLutilisateur,

      // La fonction qui sera appelée au cas ou le fichier a bien été trouvé
      //                   Le paramètre, rempli automatiquement, contiendra le retour de l'ajax (le contenu du fichier)
      success  : function(tartopaum) {
        // console.log(tartopaum);

        // Afficher le contenu
        // Si c'est du contenu afficher directement
        if(radioValue != "json"){
          $('.resultat').html(tartopaum);
        }
        // Sinon (json)
        else {
          afficherJson( tartopaum );
        }
      }
    }
  );
}

function afficherJson(leContenuAAfficher){
  // console.log(parsedTartopaum);

  // Le parser
  var parsedTartopaum = JSON.parse(leContenuAAfficher);

  // console.log(parsedTartopaum);

  // Gérer son affichage
  // Créer une caractères, qui va permettre de créer l'affichage complet, avant de mettre a jour le html
  var aAfficher = "<ul>";

  for (var i = 0; i < parsedTartopaum.length; i++) {
    var contact = parsedTartopaum[i];

    // console.log(contact); // {firstName: "Tom", phone: "0102030405"}

    aAfficher += "  <li>                                    ";
    aAfficher += "      <h3>" + contact.firstName + "</h3>  ";
    aAfficher += "      <p>"  + contact.phone     + "</p>   ";
    aAfficher += "  </li>                                   ";

  }

  aAfficher += "</ul>";

  // Mettre a jour mon html
  $('.resultat').html(aAfficher);
}
